ZFS-LIST(8)

NAME
zfs-list - list properties of ZFS datasets

SYNOPSIS
zfs list [-r|-d depth] [-Hp] [-o property[,property]…] [-s property]… [-S property]… [-t type[,type]…] [filesystem|volume|snapshot]…

DESCRIPTION
If specified, you can list property information by the absolute pathname or the relative pathname. By default, all file systems and volumes are displayed. Snapshots are displayed if the listsnapshots pool property is on (the default is off), or if the -t snapshot or -t all options are specified. The following fields are displayed: name, used, available, referenced, mountpoint.

-H  Used for scripting mode. Do not print headers and separate fields by a single tab instead of arbitrary white space.

-d depth
    Recursively display any children of the dataset, limiting the recursion to depth. A depth of 1 will display only the dataset and its direct children.

-o property
    A comma-separated list of properties to display. The property must be:
    •   One of the properties described in the Native Properties section of zfsprops(7)
    •   A user property
    •   The value name to display the dataset name
    •   The value space to display space usage properties on file systems and volumes. This is a shortcut for specifying -o name,avail,used,usedsnap, usedds,usedrefreserv,usedchild -t filesystem,volume.

-p  Display numbers in parsable (exact) values.

-r  Recursively display any children of the dataset on the command line.

-s property
    A property for sorting the output by column in ascending order based on the value of the property. The property must be one of the properties described in the Properties section of zfsprops(7) or the value name to sort by the dataset name. Multiple properties can be specified at one time using multiple -s property options. Multiple -s options are evaluated from left to right in decreasing order of importance. The following is a list of sorting criteria:
    •   Numeric types sort in numeric order.
    •   String types sort in alphabetical order.
    •   Types inappropriate for a row sort that row to the literal bottom, regardless of the specified ordering.

    If no sorting options are specified the existing behavior of zfs list is preserved.

-S property
    Same as -s, but sorts by property in descending order.

-t type
    A comma-separated list of types to display, where type is one of filesystem, snapshot, volume, bookmark, or all. For example, specifying -t snapshot displays only snapshots. fs, snap, or vol can be used as aliases for filesystem, snapshot, or volume.

EXAMPLES

  Example 1 : Listing ZFS Datasets
The following command lists all active file systems and volumes in the system. Snapshots are displayed if listsnaps=on. The default is off. See zpoolprops(7) for more information on pool properties.
    # zfs list
    NAME                      USED  AVAIL  REFER  MOUNTPOINT
    pool                      450K   457G    18K  /pool
    pool/home                 315K   457G    21K  /export/home
    pool/home/anne             18K   457G    18K  /export/home/anne
    pool/home/bob             276K   457G   276K  /export/home/bob

SEE ALSO
zfsprops(7), zfs-get(8)